Bug 132048 - Kernel oops on swapper at 2.6.8-1.541 or similar
Kernel oops on swapper at 2.6.8-1.541 or similar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-08 04:41 EDT by Leon Ho
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 08:35:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from crash (16.60 KB, text/plain)
2004-09-08 04:42 EDT, Leon Ho
no flags Details

  None (edit)
Description Leon Ho 2004-09-08 04:41:17 EDT
Description of problem:
When using rawhide kernel (since last week), on my PIII xeon machine
it oops randomly. On the other test machine, celeron is fine.

      KERNEL: /usr/lib/debug/lib/modules/2.6.8-1.541/vmlinux
    DUMPFILE: vmcore
        CPUS: 1
        DATE: Wed Sep  8 15:04:29 2004
      UPTIME: 15:44:21
LOAD AVERAGE: 0.03, 0.07, 0.15
       TASKS: 122
    NODENAME: reflex.brisbane.redhat.com
     RELEASE: 2.6.8-1.541
     VERSION: #1 Wed Sep 1 18:01:20 EDT 2004
     MACHINE: i686  (864 Mhz)
      MEMORY: 255.6 MB
       PANIC: "Oops: 0000 [#1]" (check log for details)
         PID: 0
     COMMAND: "swapper"
        TASK: 233eb80  [THREAD_INFO: 2398000]
         CPU: 0
       STATE: TASK_RUNNING (PANIC)


Version-Release number of selected component (if applicable):
2.6.8-1.541

How reproducible:
everytime

Steps to Reproduce:
1. it crashes randomly
  
Additional info:
Backtrace from crash on vmcore:
PID: 0      TASK: 233eb80   CPU: 0   COMMAND: "swapper"
 #0 [ 23c5e60] netpoll_start_netdump at 12adc61d
 #1 [ 23c5e74] die at 210682e
 #2 [ 23c5e84] do_page_fault at 211944f
 #3 [ 23c5f3c] error_code (via page_fault) at ffff4452
    EAX: 00000000  EBX: 00000000  ECX: 00000002  EDX: 12a5eec0  EBP:
00000000
    DS:  007b      ESI: 12a5eec0  ES:  007b      EDI: 12a5ef9c
    CS:  0060      EIP: 12a39bdd  ERR: ffffffff  EFLAGS: 00010202
 #4 [ 23c5f78] ip6_route_input at 12a39bdd
 #5 [ 23c5f98] ipv6_rcv at 12a3281e
 #6 [ 23c5fa8] netif_receive_skb at 22a2b1a
 #7 [ 23c5fbc] process_backlog at 22a2bb1
 #8 [ 23c5fd8] net_rx_action at 22a2c76
 #9 [ 23c5fec] __do_softirq at 2123f8f
--- <soft IRQ> ---
 #0 [ 2398f34] do_softirq at 2108bbc
 #1 [ 2398f3c] do_IRQ at 2108086
 #2 [ 2398f58] common_interrupt at ffff43ec
    EAX: 00005305  EBX: 00000000  ECX: 00000000  EDX: 00000000
    DS:  0000      ESI: 00005305  ES:  0000      EDI: 00000000
    SS:  0060      ESP: 02116446  EBP: 00000000
    CS:  00b8      EIP: 0000f10a  ERR: ffffff0e  EFLAGS: 00000247
Comment 1 Leon Ho 2004-09-08 04:42:20 EDT
Created attachment 103577 [details]
log from crash
Comment 2 Leon Ho 2004-09-08 04:43:09 EDT
Let me know if you like to have the vmcore to debug. Thanks!
Comment 3 Tim Waugh 2004-09-14 05:42:02 EDT
Looks similar to bug #131706?
Comment 4 Dave Jones 2004-10-29 17:50:53 EDT
fixed in the latest kernels ?
Comment 5 Dave Jones 2004-11-27 15:25:58 EST
mass update for old bugs:

Is this still a problem with the 2.6.9 based update kernel ?
Comment 6 Leon Ho 2005-03-22 08:35:22 EST
it is fixed on latest 2.6.8 kernel

Note You need to log in before you can comment on or make changes to this bug.